#!/bin/bash

# Version of the tar file on http://www.lmd.jussieu.fr/~lmdz/pub/src
version=20190128.trunk

# Chosing the svn version
svn="-r 3111"
svn=""

# Grid number of points IMxJMxLM
resol=144x142x79

# avec instalation de LMDZ : -install
install=""
install=-install

#  creating start, limit ... stored on ./INIT and ./LIMIT
init=""
init=-init

# Initia/final month for simulation
mthini=200001
mthend=200501

# Length of elementary simulations yr (year) or mo (month)
freq=yr

# Activation of Cosp simulator
cosp="-cosp"
cosp=""

# climato=0 : Climatological SSTs with 360-day calendar 
#        =1 : interannual SSTs with true calendar
climato=1

# Using XIOS for IOs
xios="-xios"
xios=""

# Nudging: Can be activated only with climato=0 and freq=mo
nudging="-nudging"
nudging=""

# Changing orchidee revision (for experts) : available : 5004, 3013
orchidee_rev="5004"
if [ "$orchidee_rev" != "" ] ; then for f in script_SIMU setup.sh ; do sed -i -e 's/orchidee_rev=.*.$/orchidee_rev='$orchidee_rev'/' $f ; done ; fi

# NAME for the file containing the physics setup
# to be chosen among DEF/PHYS/physiq.def_*
sims="NPv6.1"

for phys in $sims ; do
#   cp -f DEF/PHYS/physiq.def_$phys DEF/physiq.def
#   remplace par la lignge ci dessous pour un probleme d'interface avec
#   la version d'orchidee distribuee par install_lmdz.sh :
   sed -e 's/ifl_pbltree=1/ifl_pbltree=0/' DEF/PHYS/physiq.def_$phys >| DEF/physiq.def
   name=$phys
   ./setup.sh -d $resol -f $freq -v $version -name $name $svn $install $init $cosp $xios -mthini $mthini -mthend $mthend $nudging -climato $climato
done
