#!/bin/bash

#    ./reb $type $ym $SIM $SIMUDIR

ym=$1
SIMUDIR=$2
SIM=`basename $SIMUDIR`
shift 2
types="$*"
PUT=mfput
rebuild=/linkhome/rech/psl/rpsl035/bin/rebuild

echo type $type
echo ym $ym
echo SIM $SIM
echo SIMUDIR $SIMUDIR
echo PUT $PUT

for type in $types ; do

job=$SIM$type

cat <<eod>| $job
# @ job_type = serial
# @ job_name = $job
# @ output   = $(job).o$(jobid)
# @ error    = $(job).e$(jobid)
# @ wall_clock_limit = 03:00:00
# @ queue
ulimit -s unlimited
  if [ -f ${type}_0000.nc ] ; then
    $rebuild -o ${type}.$ym.nc ${type}_[0-9][0-9][0-9][0-9].nc
  else
    echo ${type}_0000.nc absent
  fi
  if [ -f $type.$ym.nc ] ; then 
     ${PUT} $type.$ym.nc ${SIMUDIR}/$type.$ym.nc
     \rm -f ${type}_[0-9][0-9][0-9][0-9].nc
  else
     echo La reconstruction de $type.$ym.nc a echoue
  fi
eod

echo Submitting the rebuild job $job
llsubmit $job

done
